<div class="page-header">
    <h1>Contact</h1>
</div>

<div>
    <my-alert *ngIf="alert" [alert]="alert" (onDimissed)="cancelAlert()"></my-alert>

    <form (ngSubmit)="submit(contactForm)" #contactForm="ngForm">
        <div class="form-group" [class.has-error]="!email.valid && !email.untouched">
            <label class="control-label" for="email">Email address</label>
            <input type="email" id="email" name="email" placeholder="Email" class="form-control"
                    required 
                    #email="ngModel" 
                    [pattern]="emailPattern" 
                    [(ngModel)]="contact.email">
            <span [hidden]="email.valid || email.untouched">
                <span class="help-block">
                    Pliease provide valid email address
                </span>
            </span>
        </div>
        <div class="form-group" [class.has-error]="isTopicInvalid">
            <label class="control-label" for="topic">Topic</label>
            <select class="form-control" id="topic" name="topic" 
                    #topic="ngModel" 
                    (blur)="validateTopic(topic.value)"
                    (change)="validateTopic(topic.value)"
                    [(ngModel)]="contact.topic">
                <option value="default">Select topic...</option>
                <option *ngFor="let t of topics | async">{{t}}</option>
            </select>
            <span [hidden]="!isTopicInvalid">
                <span class="help-block">
                    Please provide message
                </span>
            </span>
        </div>
        <div class="form-group" [class.has-error]="!message.valid && !message.untouched">
            <label class="control-label" for="message">Message</label>
            <textarea class="form-control" id="message" name="message" placeholder="Message" 
                    required 
                    #message="ngModel" 
                    [(ngModel)]="contact.message">
            </textarea>
            <span [hidden]="message.valid || message.untouched">
                <span class="help-block">
                    Please provide message
                </span>
            </span>
        </div>
        <button type="submit" class="btn btn-default" [disabled]="contactForm.invalid">
            Submit
        </button>
    </form>
</div>